#!/bin/bash

#findnumber of CPUs
NCPUS=`ls /proc/acpi/processor|wc -w`
NAME=pm
HOST=`hostname`
TIME=20

if [ -n "$1" ]; then
	mkdir -p "$1"
	NAME="$1/pm"
fi

#============================
# bzip stress test
echo ... start bzip on processors;
for i in `seq $NCPUS`; do
	bzip2 -c /dev/urandom >/dev/null&
	echo started $NCPUS bzip...
done

powertop -d -t $TIME > $NAME.bzip.log
killall bzip2
echo bzip test done

#=============================
# disk usage test
echo ... dd test run
TMPF=`mktemp`

dd if=/dev/zero of=$TMPF bs=1M count=1000 &

powertop -d -t $TIME> $NAME.dd.log
killall dd
echo  saved `ls -hs $TMPF`
rm -fr $TMPF 
echo dd test done

#=============================
# vsftpd usage test
FTPDIR=/var/ftp
NS=/etc/vsftpd.conf
echo ...  test  vsftpd run
for foo in `seq 1000`; do
	dd if=/dev/zero of=$FTPDIR/testf.$foo bs=1k count=500 &>/dev/null
done
echo test file created file in $FTPDIR
#change config to allow anonymous access
mv $NS{,.old}
cat $NS.old |sed 's/^#anon/anon/' > $NS
/etc/init.d/vsftpd restart

lftp -e "mget *;quit" localhost &

powertop -d -t $TIME> $NAME.ftp.log
killall lftp
echo transfered `ls testf.*| wc -w` files
rm -fr $FTPDIR/testf.* testf.*  
mv $NS{.old,}
/etc/init.d/vsftpd stop
echo  vsftpd + lftp test done

# pack files, and remove
#tar czvf output.tar.gz pm.*
#rm -f pm.*log

