#!/bin/bash

if [ -z "$1" ]; then
	data=`mktemp --tmpdir scomes-data.XXXXXXXX`
else
	mkdir -p "$1"
	data="$1/scomes-data.txt"
fi

cd /usr/local/testday-091022/scripts/scomes

#load disk
echo "measuring disk load"
disk=`scomes -c ./load-disk.sh 0 | perl -ne 'print if /Monitored process:/../SCORE:/'`

#load syscalls
echo "measuring syscalls"
syscalls=`scomes -c "./load-syscalls 1000" 0 | perl -ne 'print if /Monitored process:/../SCORE:/'`

#load net
echo "measuring net"
net=`scomes -c ./load-net.sh 0 | perl -ne 'print if /Monitored process:/../SCORE:/'`

echo -e "disk:\n$disk\n----------\nsyscalls:\n$syscalls\n----------\nnet:\n$net\n----------" > $data

echo "results saved to: $data"

